#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MLDBM
%define		pnam	MLDBM
Summary:	MLDBM - store multi-level hash structure in single level tied hash
Summary(pl.UTF-8):	MLDBM - przechowywanie wielopoziomowej struktury haszy w jednopoziomowym haszu związanym
Name:		perl-MLDBM
Version:	2.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	9b7ec37bfc36b0e83db9323be92beb50
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-FreezeThaw
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MLDBM Perl module can serve as a transparent interface to any TIEHASH
package that is required to store arbitrary perl data, including
nested references. Thus, this module can be used for storing
references and other arbitrary data within DBM databases.

%description -l pl.UTF-8
Moduł Perla MLDBM może służyć za przezroczysty interfejs do dowolnego
pakietu TIEHASH, od którego wymaga się przechowywania dowolnych danych
perla, włącznie z zagnieżdżonymi referencjami. Zatem moduł ten służy
do przychowywania referencji oraz innych dowolnych danych w bazach
DBM.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/MLDBM.pm
%{perl_vendorlib}/MLDBM
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MLDBM.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ab56e47
- up to 2.05

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6632f54
- up to 2.04

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> e10f8ed
- rel.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bdcdf31
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 84c6125
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> b747fac
- missing language param; rel 5

* Wed Aug 23 2006 radek <radek@pld-linux.org> 9c5e95b
- reverted last change (wrong spec)

* Wed Aug 23 2006 radek <radek@pld-linux.org> a328e9c
- BR: perl-MLDBM perl-Test-Pod for tests

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8612897
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 320c966
- spelling fixes, uppercases, etc.

* Sat Jun 05 2004 radek <radek@pld-linux.org> a5fd765
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> a04a5d9
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 364480b
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> f671381
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 480a1a0
- cosmetics: unification

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> f3c0761
- license fixes / unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 06d4429
- ported to new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 74dbb86
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 968e59e
- mass commit: cosmetics (removed trailing white spaces)

* Sat Aug 09 2003 ankry <ankry@pld-linux.org> b5bd0f9
- some pl translations, cosmetics

